It's all about the answers!

Ask a question

After Upgrade unable to get admin in browser


john norris (20713140) | asked Mar 06 '13, 1:25 p.m.
retagged Mar 06 '13, 2:18 p.m. by Bo Chulindra (1.3k2718)
I have RTC 4.0 RC3 and have upgraded to 4.0.1 Release.
This involved using installation manager to install 4.0.1 in a different package then running the upgrade scripts.
These all appeared to work. The only worry was that url in the config files had the colon escaped. I left this as is which may have been a mistake.
Anyway, start the new install and the process is there - I am running on Centos6.3 - but when I point the browser to https://xxxxxxx:9443/jts/admin, I get "The requested resource (/jts/admin) is not available."
Looking the logs under server/logs, the only logs updated are rm.log, rmboot.log and converter.log. I presume that rm*.log is reqts manager. Confused why that is getting updated.
Anyway, any ideas what I have done wrong?
Regards,
John

Comments
Karl Weinert commented Mar 06 '13, 1:31 p.m. | edited Mar 06 '13, 1:31 p.m.
JAZZ DEVELOPER

WebSphere or Tomcat?
Tomcat
Check to see that the jts war file was exploded correctly
JazzTeamServer/server/tomcat/webapps

WebSphere
If you are on WebSphere make sure that jts was started in the WebSphere console under applications.


Bo Chulindra commented Mar 06 '13, 2:22 p.m.
JAZZ DEVELOPER

Check your Tomcat/WAS logs since the error looks like there's something going wrong there (rather than with the JTS).


john norris commented Mar 07 '13, 11:22 a.m.

Thanks for the comments.

I notice in the server/logs directory (and I sort of mentioned this yesterday) that I am not getting a jts.log. Yet the process does start when I kick off server.start.

As I mentioned, I run the upgrade scripts, have not run setup but want to use admin.

The server is running several minutes after start so it has not started then died. But something must be wrong to not get the jts.log. Any ideas anyone.

John


Bo Chulindra commented Mar 07 '13, 12:51 p.m. | edited Mar 07 '13, 12:51 p.m.
JAZZ DEVELOPER

Check your Tomcat logs to see if there are any errors there (it will be in JazzInstallDir/server/tomcat/logs). This is different than your jts.log.


john norris commented Mar 08 '13, 4:10 a.m.

Hi Bo,

yes the tomcat logs were much more useful.

Mar 8, 2013 8:47:13 AM org.apache.catalina.startup.ContextConfig parseWebXml
SEVERE: Parse error in application web.xml file at jndi:/localhost/jts/WEB-INF/web.xml
Throwable occurred: java.lang.IllegalArgumentException: Duplicate filter name [bridgefilter]

I have googled and searched the forum here but no hits. It sounds as though something is pointing to the wrong place. Looked in the web.xml in jts under webapps. bridgefilter is there twice.

2 answers



permanent link
Michael Afshar (7014) | answered Mar 06 '13, 2:06 p.m.
JAZZ DEVELOPER
 Did you follow the upgrade guide?
http://pic.dhe.ibm.com/infocenter/clmhelp/v4r0m1/topic/com.ibm.jazz.install.doc/topics/roadmap_clm_upgrade.html

Another thing I can think of is forgetting to update JAZZ_HOME to point to the new JazzInstallDir.

Comments
john norris commented Mar 07 '13, 11:10 a.m.

Hi Michael, thanks for the answer.

You mention JAZZ_HOME. Where should this be set? In the env of the user that runs the server service? I installed and run as root on both 4.0RC3 and 4.0.1 and JAZZ_HOME is not set for either. But obviously the former works as expected.

I did follow the interactive upgrade guide (not really very helpful to be honest).

Regards,

John


john norris commented Mar 07 '13, 11:13 a.m.

Also JAZZ_HOME is set in the server.startup script.


Michael Afshar commented Mar 07 '13, 12:09 p.m.
JAZZ DEVELOPER

Hi John,


That's one of the upgrade steps if your applications are installed on WAS. Can you give us more info about your environment? Are you running the server in Tomcat as a Windows service? Here is the info: http://pic.dhe.ibm.com/infocenter/clmhelp/v4r0m1/topic/com.ibm.jazz.install.doc/topics/t_run_rqm64_win_service.html
Step 8 talks about setting Jazz_home


john norris commented Mar 08 '13, 4:21 a.m.

Hi Michael, I am using Tomcat on Linux.


permanent link
john norris (20713140) | answered Mar 08 '13, 4:13 a.m.

As I mentioned above there were identical nodes in the web.xml files of JTS, CCM and QM so I commented out the extra node. And now it starts and I can access the JTS via browser.

I presume the upgrade scripts added these. In which case loads of other people would have had the same problem which they have not. So what did I do wrong.

I have been interested in RTC since release 1 and the upgrades have always been iffy. At first it was copy database across. Now it has moved on but it is still not where clearcase / clearquest is.


Comments
Bo Chulindra commented Mar 08 '13, 11:09 a.m.
JAZZ DEVELOPER

It looks like you hit this defect: org.apache.tomcat.util.digester.Digester endElement SEVERE: End event threw exception (218143)

I'm a little confused on how you hit it since it was fixed in 4.0 iFix1.

I believe the supported path for upgrading from 4.0 RC3 to 4.0.1 Release would be:
4.0 RC3 => 4.0 RC4a => 4.0 RC5 => 4.0 Release => 4.0.1 Release

I'm not sure, but I think you have to upgrade milestone to milestone without skipping one. Once you are on a release, then you can upgrade to the next release. You may have hit this problem because you started at a milestone then skipped the release to upgrade to the next release.

I'm looking for some documentation on the supported upgrade path when using milestones and I'll post here if I find it.


john norris commented Mar 08 '13, 12:30 p.m.

You may be right Bo, but the docs do not suggest that. And it RTC would be a pretty poor product if one had to install everything that was ever released. Still the good news is that by manually editing the web.xml files after this then it can be fixed.

But it does cause concerns a simple upgrade is not simple.


Bo Chulindra commented Mar 08 '13, 2:14 p.m.
JAZZ DEVELOPER

Sorry, I think I was unclear. If you are on a milestone release, I believe you have to upgrade through every milestone until you reach the release. Once you're on the release, you can skip releases (if it is supported).

For example, if my server is 4.0, I can upgrade directly to 4.0.3. If my server is 3.0.1.1, I can upgrade directly to 3.0.1.6 or directly to 4.0.3.

The part where upgrade is tricky is if you are on a milestone release (eg. 4.0 M5, 4.0.1 RC1). Then I'm almost certain you have to upgrade to each milestone or at the very least, to the release. I have to double-check on this.


Bo Chulindra commented Mar 08 '13, 2:25 p.m.
JAZZ DEVELOPER

Ahh, I found documentation on upgrading milestones. See https://jazz.net/forum/questions/76379/upgrading-rtc-40-milestonebeta.

Your relevant link is this one: https://jazz.net/downloads/rational-team-concert/milestones/4.0RC3?p=upgrading

I believe the reason milestone releases must be upgraded only to the next milestone is because you are using a beta version which is not ready for release. If there is a problem, it may require upgrading to the next milestone release in order to fix the problem. Skipping milestones may skip fixes for problems in the milestone release.

I'm sorry your upgrade experience has been frustrating, but upgrading a milestone release can be tricky since the server is still in beta.

Your answer


Register or to post your answer.